@charset "UTF-8";

/*============================
	common
============================*/
.common__ttl {
  font-size: max(24px, 4rem);
  font-weight: 700;
  letter-spacing: 0.1em;
  line-height: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1rem;
}

.common__ttl span {
  display: block;
  font-size: max(14px, 2rem);
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.common__ttl::before {
  content: "";
  display: block;
  background: url("../img/ttl_deco.png") no-repeat center / contain;
  width: 4rem;
  height: 4rem;
}

.common__btn {
  width: max(173px, 21.6rem);
  height: max(40px, 5rem);
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.common__btn a {
  background: url("../img/btn_bg.jpg") no-repeat center / cover;
  width: 100%;
  height: 100%;
  color: #b5b5b6;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.common__btn--red a {
  background: url("../img/btn_bg-red.jpg") no-repeat center / cover;
  color: #c89e45;
}

/*============================
	hero
============================*/
.hero {
  width: 100%;
  height: max(82rem, 100vh);
  position: relative;
}

@media (max-width: 767px) {
  .hero {
    height: max(300px, 44rem);
  }
}

.hero::before,
.hero::after {
  content: "";
  width: 100%;
  position: absolute;
  left: 0;
  pointer-events: none;
  z-index: 3;
}

.hero::before {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  height: 15.2rem;
  top: 0;
}

.hero::after {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  height: 16.5rem;
  bottom: 0;
}

.hero__slider {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

@keyframes zoomOut {
  0% {
    transform: scale(1.15);
  }
  100% {
    transform: scale(1);
  }
}

.hero__slider .swiper-slide-active img,
.hero__slider .swiper-slide-duplicate-active img,
.hero__slider .swiper-slide-prev img {
  animation: zoomOut 7s linear both;
}

@keyframes scroll {
  0% {
    transform: scale(1, 0);
    transform-origin: 0 0;
  }

  50% {
    transform: scale(1, 1);
    transform-origin: 0 0;
  }

  50.1% {
    transform: scale(1, 1);
    transform-origin: 0 100%;
  }

  100% {
    transform: scale(1, 0);
    transform-origin: 0 100%;
  }
}

.hero__scroll {
  font-size: max(10px, 1.2rem);
  color: var(--white);
  line-height: 1;
  text-transform: uppercase;
  writing-mode: vertical-rl;
  display: flex;
  align-items: center;
  gap: 1rem;
  position: absolute;
  left: 6rem;
  bottom: -8rem;
  z-index: 10;
}

@media (max-width: 767px) {
  .hero__scroll {
    display: none;
  }
}

.hero__scroll::after {
  content: "";
  display: block;
  background-color: var(--white);
  width: 1px;
  height: max(40px, 7.6rem);
  animation: scroll 2.5s infinite;
}

/*============================
	news
============================*/
.news {
  padding: 9rem 0 8rem;
  position: relative;
}

.news::before {
  content: "";
  background: linear-gradient(0deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1) 90%);
  width: 100%;
  height: 35.5rem;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.CMS-NEWS-INDEX {
  width: 101.2rem;
  height: auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 6rem 2.6rem;
  margin: 5.5rem auto 7rem;
}

@media (max-width: 767px) {
  .CMS-NEWS-INDEX {
    width: 90%;
    grid-template-columns: 1fr;
  }
}

.CMS-NEWS-LINK-CONTENT {
  display: block;
}

.CMS-NEWS-THUMBNAIL {
  width: 100%;
  height: 20rem;
  margin-bottom: 3rem;
}

@media (max-width: 767px) {
  .CMS-NEWS-THUMBNAIL {
    height: 36rem;
  }
}

.CMS-NEWS-LINK,
.CMS-NEWS-TIME {
  margin-right: 1.2rem;
}

.CMS-NEWS-LINK {
  border-top: solid 1px var(--black);
  padding-top: 1rem;
  margin-top: 1rem;
}

.CMS-NEWS-TIME {
  font-size: max(12px, 1.4rem);
}

.CMS-NEWS-MORE-READ {
  display: none;
}

/*============================
	concept
============================*/
.concept {
  background: url("../img/concept_bg.jpg") no-repeat center / cover;
  padding: 8.5rem 0 9rem;
}

.concept__contents {
  width: 110rem;
  display: flex;
  gap: 4rem 10rem;
  margin: 0 auto;
}

@media (max-width: 767px) {
  .concept__contents {
    width: 90%;
    flex-direction: column-reverse;
  }
}

.concept__txt-wrapper {
  width: 100%;
}

@media (min-width: 768px) {
  .concept__txt-wrapper {
    padding-top: 5.5rem;
  }
}

.concept__txt-wrapper h2 {
  border-bottom: solid 2px var(--red);
  font-size: max(18px, 3.9rem);
  font-weight: 700;
  letter-spacing: 0.1em;
  padding-bottom: 2rem;
}

.concept__txt-wrapper h2 span {
  display: block;
  font-size: 12rem;
  font-weight: 400;
  line-height: 1;
  text-transform: capitalize;
  margin-bottom: 5.5rem;
  opacity: 0.2;
}

.concept__txt-wrapper p {
  letter-spacing: 0.1em;
  line-height: 2;
  margin: 3.5rem 0 8.5rem;
}

@media (min-width: 768px) {
  .concept .common__btn {
    margin: 0;
  }
}

.concept__img {
  width: 67.3rem;
  height: 100%;
  flex-shrink: 0;
  margin-right: calc(50% - 50vw);
  position: relative;
}

@media (max-width: 767px) {
  .concept__img {
    width: 95vw;
    margin-left: auto;
  }
}

.concept__img::before {
  content: "";
  background: url("../img/concept_deco-1.png") no-repeat center / contain;
  width: 33.2rem;
  height: 33.4rem;
  position: absolute;
  left: -12.5rem;
  bottom: -5.5rem;
  pointer-events: none;
  z-index: -1;
}

@media (max-width: 767px) {
  .concept__img::before {
    width: 24rem;
    height: 24.1rem;
    left: -3rem;
    bottom: -5rem;
  }
}

/*============================
	menu
============================*/
.menu {
  background-color: var(--black);
  padding: 9.5rem 0 13rem;
  position: relative;
  z-index: 1;
}

@media (max-width: 767px) {
  .menu {
    padding: 9.5rem 0 18rem;
  }
}

.menu::before,
.menu::after {
  content: "";
  position: absolute;
  pointer-events: none;
  z-index: -1;
}

.menu::before {
  background: linear-gradient(180deg, rgba(51, 41, 38, 0), rgba(51, 41, 38, 1));
  inset: 0;
}

.menu::after {
  background: url("../img/menu_deco-1.png") no-repeat center / contain;
  width: 69.4rem;
  height: 54.2rem;
  top: 0;
  right: 0;
}

@media (max-width: 767px) {
  .menu::after {
    width: 48rem;
    height: 37.5rem;
  }
}

.menu__drink {
  background: linear-gradient(90deg, #540d09 45%, #6d1817);
  width: 110rem;
  display: flex;
  flex-direction: row-reverse;
  padding: 5.5rem 6rem 5rem;
  margin: 13rem auto 11rem;
  position: relative;
}

@media (max-width: 767px) {
  .menu__drink {
    width: 90%;
  }
}

.menu__drink::before {
  content: "";
  background: url("../img/menu_deco-2.png") no-repeat center / contain;
  width: 32rem;
  height: 8.2rem;
  position: absolute;
  top: -20.5rem;
  left: -8.5rem;
  pointer-events: none;
}

.menu__drink::after {
  content: "";
  width: calc(100% - 1rem);
  height: calc(100% - 1rem);
  border: solid 1px #c89e45;
  position: absolute;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  pointer-events: none;
}

@media (max-width: 767px) {
  .menu__drink::before {
    width: 25rem;
    height: 6.4rem;
    top: -13rem;
    left: -2rem;
  }
}

.menu__drink-txt-wrapper {
  width: 53rem;
}

@media (max-width: 767px) {
  .menu__drink-txt-wrapper {
    width: 100%;
  }
}

.menu__drink-txt-wrapper h3 > span:nth-of-type(1) {
  display: block;
  border-bottom: solid 1px var(--white);
  font-size: max(18px, 4.3rem);
  letter-spacing: 0.1em;
  padding-bottom: 1.5rem;
  margin-bottom: 2rem;
}

.menu__drink-txt-wrapper h3 > span:nth-of-type(2) {
  font-size: max(30px, 6rem);
  letter-spacing: 0.1em;
  line-height: 1;
  display: flex;
  align-items: center;
}

.menu__drink-txt-wrapper h3 > span:nth-of-type(2) span {
  display: block;
  background-color: var(--white);
  width: 13.3rem;
  height: 4.4rem;
  border-radius: 4px;
  font-size: max(16px, 2.7rem);
  color: var(--red);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1rem;
  margin-right: 3.5rem;
}

.menu__drink-txt-wrapper h3 > span:nth-of-type(2) small {
  font-size: max(24px, 4.2rem);
  letter-spacing: 0.1em;
  margin-top: 1rem;
}

.menu__drink-txt-wrapper p {
  letter-spacing: 0.1em;
  line-height: 2.5;
  margin: 3rem 0 4rem;
}

@media (min-width: 768px) {
  .menu__drink .common__btn {
    margin: 0;
  }
}

.menu__drink-img {
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
  z-index: -1;
}

.menu__drink-img img {
  object-position: top left;
}

.menu__list {
  width: 110rem;
  display: flex;
  flex-direction: column;
  row-gap: 15rem;
  margin: 0 auto 11rem;
  position: relative;
}

@media (max-width: 767px) {
  .menu__list {
    width: 90%;
  }
}

.menu__list::before,
.menu__list::after {
  content: "";
  position: absolute;
  pointer-events: none;
}

.menu__list::before {
  background: url("../img/menu_deco-4.png") no-repeat center / contain;
  width: 25.4rem;
  height: 14.8rem;
  left: -13rem;
  bottom: -21.5rem;
}

.menu__list::after {
  background: url("../img/menu_deco-2.png") no-repeat center / contain;
  width: 32rem;
  height: 8.2rem;
  right: -8.5rem;
  bottom: -16rem;
}

@media (max-width: 767px) {
  .menu__list::before {
    width: 20rem;
    height: 11.6rem;
    left: -2rem;
    bottom: -32rem;
  }

  .menu__list::after {
    width: 25rem;
    height: 6.4rem;
    right: -2rem;
    bottom: -32rem;
  }
}

.menu__list-item {
  display: flex;
  gap: 4rem 7.5rem;
}

.menu__list-item:nth-of-type(odd) {
  flex-direction: row-reverse;
}

@media (max-width: 767px) {
  .menu__list-item,
  .menu__list-item:nth-of-type(odd) {
    flex-direction: column-reverse;
  }
}

.menu__txt-wrapper {
  width: 100%;
  position: relative;
}

@media (min-width: 768px) {
  .menu__txt-wrapper {
    padding-top: 2rem;
  }
}

.menu__list-item:nth-of-type(3) .menu__txt-wrapper::before {
  content: "";
  background: url("../img/menu_deco-3.png") no-repeat center / contain;
  width: 30.4rem;
  height: 19.2rem;
  position: absolute;
  top: -7rem;
  right: -20rem;
  pointer-events: none;
}

@media (max-width: 767px) {
  .menu__list-item:nth-of-type(3) .menu__txt-wrapper::before {
    width: 22rem;
    height: 13.9rem;
    top: 0;
    right: -2rem;
  }
}

.menu__txt-wrapper h3 {
  border-bottom: solid 2px var(--red);
  font-size: max(16px, 2.4rem);
  font-weight: 700;
  letter-spacing: 0.1em;
  padding-bottom: 3rem;
  margin-bottom: 3rem;
}

.menu__txt-wrapper h3 span {
  display: block;
  font-size: 12.7rem;
  font-weight: 400;
  letter-spacing: 0.04em;
  line-height: 1;
  text-transform: capitalize;
  opacity: 0.1;
  margin-bottom: -2rem;
  margin-left: -1.5rem;
}

.menu__txt-wrapper p {
  letter-spacing: 0.1em;
  line-height: 2.5;
}

.menu__img {
  width: 68rem;
  height: 100%;
  flex-shrink: 0;
}

.menu__list-item:nth-of-type(even) .menu__img {
  margin-right: calc(50% - 50vw);
}

.menu__list-item:nth-of-type(odd) .menu__img {
  margin-left: calc(50% - 50vw);
}

@media (max-width: 767px) {
  .menu__img,
  .menu__list-item:nth-of-type(odd) .menu__img,
  .menu__list-item:nth-of-type(even) .menu__img {
    width: 100%;
    margin: 0;
  }
}

/*============================
	order
============================*/
.order {
  border: solid max(3px, 0.4rem) #c09e4a;
  border-left: none;
  border-right: none;
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  align-items: center;
  gap: 5rem 7rem;
  padding: 5.5rem 0 6rem;
}

@media (max-width: 767px) {
  .order {
    flex-direction: column-reverse;
    padding: 5.5rem 5% 6rem;
  }
}

.order__txt-wrapper {
  text-align: center;
}

.order__txt-wrapper h2 {
  font-size: max(24px, 4rem);
  font-weight: 400;
  letter-spacing: 0.05em;
  margin-bottom: 5.5rem;
}

.order__txt-wrapper h2 strong {
  display: block;
  font-size: max(26px, 4.6rem);
  font-weight: 400;
  color: #c09e4a;
  letter-spacing: 0.05em;
}

.order__tel a {
  display: block;
  background: url("../img/order_tel-bg.png") no-repeat center / 100% 100%;
  width: max(300px, 47.1rem);
  height: max(80px, 14.1rem);
  font-size: max(24px, 4rem);
  line-height: 1;
  padding: 2rem 3rem;
}

@media (max-width: 767px) {
  .order__tel a {
    text-decoration: none;
  }
}

.order__txt {
  display: block;
  border-bottom: solid 1px var(--white);
  font-size: max(16px, 2.6rem);
  letter-spacing: 0.05em;
  padding-bottom: 1.5rem;
  margin-bottom: 1rem;
}

@media (max-width: 767px) {
  .order__num {
    text-decoration: underline;
  }
}

.order__img {
  display: block;
  width: 37.1rem;
  height: 100%;
  flex-shrink: 0;
}

@media (max-width: 767px) {
  .order__img {
    width: 100%;
    height: auto;
  }
}

/*============================
	gallery
============================*/
.gallery {
  background: var(--bg-2);
  padding: 10rem 0;
}

.gallery__slider {
  height: 20.9rem;
  margin: 5.5rem 0 7rem;
}

.gallery__slider .swiper-wrapper {
  transition-timing-function: linear;
}

.gallery__slider .swiper-slide {
  width: 28.7rem;
}

/*============================
	access
============================*/
.access {
  background: url("../img/access_bg.jpg") no-repeat center / cover;
  padding: 8.5rem 0 14.5rem;
}

.access__contents {
  width: 110rem;
  display: flex;
  gap: 2rem 9.5rem;
  margin: 8rem auto 0;
}

@media (max-width: 767px) {
  .access__contents {
    width: 90%;
    flex-direction: column;
  }
}

.access__img {
  width: 62rem;
  height: 100%;
  flex-shrink: 0;
  margin-left: calc(50% - 50vw);
}

@media (max-width: 767px) {
  .access__img {
    width: 100%;
    margin: 0;
  }
}

.access__list {
  display: flex;
  flex-wrap: wrap;
  margin: -2.5rem 0 5.5rem;
}

@media (max-width: 767px) {
  .access__list {
    margin: 0 0 6rem;
  }
}

.access__list dt,
.access__list dd {
  letter-spacing: 0.05em;
  padding: 2.7rem 1.6rem;
}

.access__list dt {
  width: max(75px, 12rem);
  font-weight: 700;
}

.access__list dd {
  width: calc(100% - max(75px, 12rem));
}

.access__list dd:not(:last-of-type) {
  border-bottom: solid 1px var(--white);
}

@media (min-width: 768px) {
  .access__list dt:not(:last-of-type) {
    border-bottom: solid 1px var(--white);
  }
}

@media (max-width: 767px) {
  .access__list dt,
  .access__list dd {
    width: 100%;
  }

  .access__list dt {
    padding: 2rem 1.6rem 1rem;
  }

  .access__list dd {
    padding: 0 1.6rem 2rem;
  }
}

@media (min-width: 768px) {
  .access .common__btn {
    margin: 0;
  }
}

.top__map {
  height: 37.2rem;
}

/*============================
	insta
============================*/
.insta {
  background: var(--bg-3);
  padding: 10rem 0 17rem;
}

.insta__contents {
  width: 88.7rem;
  margin: 7rem auto 0;
}

@media screen and (max-width: 767px) {
  .insta__contents {
    width: 90%;
  }
}

.CMS-INSTAGRAM-LIST {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2.4rem 2.9rem;
}

.CMS-INSTAGRAM-LIST > *:nth-of-type(n + 7) {
  display: none;
}

@media screen and (max-width: 767px) {
  .CMS-INSTAGRAM-LIST {
    gap: 1rem;
  }
}

.CMS-INSTAGRAM-LIST img {
  width: 27.6rem;
  height: 27.6rem;
  object-fit: cover;
}

@media screen and (max-width: 767px) {
  .CMS-INSTAGRAM-LIST img {
    width: 100%;
    height: auto;
  }
}

/*============================
	tiktok
============================*/
.tiktok {
  background: var(--bg-2);
  padding: 9.5rem 0;
}

.tiktok__img {
  display: block;
  width: max(220px, 34rem);
  height: max(85px, 14rem);
  margin: 0 auto;
}

.tiktok__img a {
  background-color: var(--black);
  width: 100%;
  height: 100%;
  border: solid 1px var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
}

.tiktok__img a img {
  display: block;
  width: max(150px, 26.2rem);
}

/*============================
  parallax
============================*/
.parallax {
  width: 100%;
  height: 45rem;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  position: relative;
}

@media screen and (max-width: 767px) {
  .parallax {
    height: 40rem;
  }
}

.parallax::before {
  content: "";
  background: url("../img/parallax_bg.jpg") no-repeat center / cover;
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}
